/***************************************************************************
                         help.c     -  description
                             -------------------

    begin                : Wed Jul  18 MET 2001

    copyright            : (C) 1999-2001 by Th. Marquardt, Steffen Hildebrandt

    email                : th.marquardt@t-online.de
                           Steffen.Hildebrandt@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <ctype.h>

#include "gesko.h"


extern int hv, uv, rv, pv;
extern char *zi;
extern char *vd;

/*****************************************************************************/
/* Funktion fuer Anzeige der Programmoptionen/-parameter                     */
/* ----------------------------------------------------------------------    */
/* In:	                                                                     */
/* ---------------------------------------------------                       */
/* Out:	                                                                     */
/* ----------------------------------------------------                      */
/* Autor: Steffen Hildebrandt                                                */
/* letzte Aenderung: Steffen Hildebrandt 09.04.2003                          */
/*****************************************************************************/
void HelpText(void)
{

  printf("\n");
 #ifdef LINUX
  printf("geskoctrl fuer LINUX Vers. ");
 #endif
 #ifdef FREEBSD
  printf("geskoctrl fuer FreeBSD Vers. ");
 #endif
 #ifdef SOLARIS
  printf("geskoctrl fuer Solaris8/Intel Vers. ");
 #endif

  if (pv > 0)
     printf("%d.%d.%d.%d %s", hv, uv, rv, pv, zi);
   else
     printf("%d.%d.%d %s", hv, uv, rv, zi);

  printf("\n\n");
  printf("Benutzung : geskoctrl -com <No./device> [OPTION] ... <FILE> ... <PARAM>\n\n");
  printf("     -com <No./device>               Nummer/Device der seriellen Schnittstelle\n");
  printf("                                        1 - Com1\n");
  printf("                                        2 - Com2\n");
  printf("                                        3 - Com3\n");
  printf("                                        4 - Com4\n");
  printf("                                        /dev/ttyS0 - device Com1 (LINUX)\n");
  printf("                                        /dev/ttyS1 - device Com2 (LINUX)\n");
  printf("\n");
  printf("     -a <gt-befehl>                  Befehl im GT-Format\n");
  printf("     -b <baudrate>                   PC-Baudrate einstellen\n");
  printf("     -d <file> [-b baudrate]         Firmware-Download : PC -> Tk-Anlage\n");
  printf("     -f <file> [-b baudrate]         Firmware-Upload : Tk-Anlage -> PC\n");
  printf("     -g                              Auslesen der Gespraechsdaten -> <gspdata.txt> / Daten werden ueberschrieben\n");
  printf("     -ga                             Auslesen der Gespraechsdaten -> <gspdata.txt> / Daten werden anghaengt\n");
//  printf("     -h                              Befehl fuer CGI-/Web-Applikation\n");
	printf("     -l <mode>                       Logging\n");
  printf("     -n <conf-befehl> [param 1]...   Befehl im CONF-Format\n");
  printf("     -r                              Auslesen der Konfigurationsdaten -> <./config_data/*>\n");
  printf("     -w                              Flashkennung wiederherstellen\n");
  printf("     -x                              Reset der Tk-Anlage\n");
  printf("     -z                              Flashkennung zerstoeren\n");
  printf("     -1                              Aktuelle Firmwareversion ermitteln\n");
  printf("     -2                              Hardwareerkennung -> Anlagetyp (FW-Vers. >= 4.23)\n");
  printf("     -3                              Anlagetyp ermitteln\n");
  printf("     -ow                             FW Deutschland <-> Oesterreich darf ueberschrieben werden\n");
  printf("    -----\n");
  printf("     geskoctrl                       Hilfetext\n");
  printf("     geskoctrl -h                    Hilfetext\n");
  printf("     geskoctrl -v                    Ausgabe Version geskoctrl\n");
  printf("    -----\n");
  printf("BEISPIELE : geskoctrl -com 1 -d <FILE> -b 115200     -> FW-Download mit 115200 Baud / Com1\n");
  printf("            geskoctrl -com 2 -d <FILE>               -> FW-Download mit  19200 Baud / Com2\n");
  printf("            geskoctrl -com /dev/ttyS0 -d <FILE>      -> FW-Download mit  19200 Baud / /dev/ttyS0 (Com1)\n");
  printf("    -----\n");
	printf("LOGGING   : geskoctrl -com x -l 1    -> Loggen auf Konsole\n");
	printf("            geskoctrl -com x -l 2    -> Loggen in File <geskoctrl.log>\n");
	printf("            geskoctrl -com x -l 3    -> Loggen auf Konsole und in File <geskoctrl.log>\n");
  printf("    -----\n");
  printf("HINWEIS   : Standardbaudraten : * family 104/105/108/115/116 und office 1008/1106/1108/2108 -> 19200 Baud!\n");
  printf("                                * family 4/8 und office 206/209 bis FW-Version 2.58         ->  9600 Baud!\n");
  printf("                                * family 4/8 und office 206/209 ab FW-Version 3.01          -> 19200 Baud!\n");
  printf("    -----\n");
  printf("HINWEIS   : Parameter fuer die serielle Schnittstelle (-com x) muss als erster Parameter angegeben werden!\n");
  printf("    -----\n");

//  printf("HINWEIS  : Parameter fuer CONF-Befehle muessen als Dezimalzahl angegeben werden!\n");
  printf("\n");

  return;
}

/*****************************************************************************/
/* Funktion fuer Anzeige der Programmversion/Copyright                       */
/* ----------------------------------------------------------------------    */
/* In:	                                                                     */
/* ---------------------------------------------------                       */
/* Out:	                                                                     */
/* ----------------------------------------------------                      */
/* Autor: Steffen Hildebrandt                                                */
/* letzte Aenderung: Steffen Hildebrandt 10.01.2003                          */
/*****************************************************************************/
void CopyrightText(void)
{

  printf("\n");
 #ifdef LINUX
  printf("geskoctrl fuer LINUX Vers. ");
 #endif
 #ifdef FREEBSD
  printf("geskoctrl fuer FreeBSD Vers. ");
 #endif
 #ifdef SOLARIS
  printf("geskoctrl fuer Solaris8/Intel Vers. ");
 #endif

  if (pv > 0)
     printf("%d.%d.%d.%d %s\n", hv, uv, rv, pv, zi);
   else
     printf("%d.%d.%d %s\n", hv, uv, rv, zi);

  printf("Version vom %s\n", vd);
  printf("(c) 1999-2003 Steffen Hildebrandt, Thomas Marquardt, Bodo Rzany\n");
  printf("\n");

  return;
}

